	
	$(function() {
		load(1);
	});
	function load(page){
		var query=$("#q").val();
		var per_page=$("#per_page").val();
		var parametros = {"action":"ajax","page":page,'query':query,'per_page':per_page};
		$("#loader").fadeIn('slow');
		$.ajax({
			url:'./ajax/monedas_ajax.php',
			data: parametros,
			 beforeSend: function(objeto){
			$("#loader").html("<img src='./img/ajax-loader.gif'>");
		  },
			success:function(data){
				$(".outer_div").html(data).fadeIn('slow');
				$("#loader").html("");
			}
		})
	}
	
	function per_page(valor){
		$("#per_page").val(valor);
		load(1);
		$('.dropdown-menu li' ).removeClass( "active" );
		$("#"+valor).addClass( "active" );
	}

	
	

		
		//La funcion siguiente elimina datos usando el plugins confirm		

		function eliminar(id){
			//https://craftpip.github.io/jquery-confirm/ documentacion
			$.confirm({
				title: 'Mensaje del sistema',
				content: 'Esta acción  eliminará de forma permanente la moneda \n\n Desea continuar?',
				buttons: {
					somethingElse: {
					text: 'Aceptar',
					btnClass: 'btn-blue',
					
					action: function(){
						var parametros = {"id":id};
						$.ajax({
								type: "GET",	
								url:'ajax/eliminar/moneda.php',
								data: parametros,
								 beforeSend: function(objeto){
								$("#loader").html("<img src='./img/ajax-loader.gif'>");
							  },
								success:function(data){
									$("#resultados_ajax").html(data);
									$("#loader").html("");
									window.setTimeout(function() {
									$(".alert").fadeTo(500, 0).slideUp(500, function(){
									$(this).remove();});}, 5000);
									
									load(1);
								}
							})
				
					}
				},
				    cancelar: function () {
						//No hace nada :P
					}
				}
			});
		}

	
	




$('#new_register').validator().on('submit', function (e) {
  if (e.isDefaultPrevented()) {
    // handle the invalid form...
  } else {
    $('#guardar_datos').attr("disabled", true);
	 var parametros = $(this).serialize();
		 $.ajax({
				type: "POST",
				url: "ajax/registro/agregar_moneda.php",
				data: parametros,
				 beforeSend: function(objeto){
					$("#resultados_ajax").html("Enviando...");
				  },
				success: function(datos){
				$("#resultados_ajax").html(datos);
				$('#guardar_datos').attr("disabled", false);
				load(1);
				window.setTimeout(function() {
				$(".alert").fadeTo(500, 0).slideUp(500, function(){
				$(this).remove();});}, 5000);
				$('#modal_register').modal('hide');
			  }
		});
	  event.preventDefault();
  }
})




$('#update_register').validator().on('submit', function (e) {
  if (e.isDefaultPrevented()) {
    // handle the invalid form...
  } else {
     $('#actualizar_datos').attr("disabled", true);
 var parametros = $(this).serialize();
	 $.ajax({
			type: "POST",
			url: "ajax/modificar/moneda.php",
			data: parametros,
			 beforeSend: function(objeto){
				$("#resultados_ajax").html("Enviando...");
			  },
			success: function(datos){
			$("#resultados_ajax").html(datos);
			$('#actualizar_datos').attr("disabled", false);
			load(1);
			window.setTimeout(function() {
			$(".alert").fadeTo(500, 0).slideUp(500, function(){
			$(this).remove();});}, 5000);
			$('#modal_update').modal('hide');
		  }
	});
  event.preventDefault();
  }
})








$('#modal_update').on('show.bs.modal', function (event) {
  var button = $(event.relatedTarget) // Button that triggered the modal
  var nombre = button.data('nombre') 
  var simbolo = button.data('simbolo')
  var precision = button.data('precision') 
  var millar = button.data('millar')
  var decimal = button.data('decimal')
  var code = button.data('code') 
  var id = button.data('id') 
  var modal = $(this)
  modal.find('.modal-body #nombre_edit').val(nombre)
  modal.find('.modal-body #simbolo_edit').val(simbolo)
  modal.find('.modal-body #precision_edit').val(precision)
  modal.find('.modal-body #millar_edit').val(millar)
  modal.find('.modal-body #decimal_edit').val(decimal)
  modal.find('.modal-body #codigo_edit').val(code)
  modal.find('.modal-body #mod_id').val(id)
})
		
		
